> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Intraday Margin Setting

> Get the futures intraday margin setting



## OpenAPI

````yaml GET /api/v3/brokerage/cfm/intraday/margin_setting
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/cfm/intraday/margin_setting:
    get:
      tags:
        - Futures
      summary: Get Intraday Margin Setting
      description: Get the futures intraday margin setting
      operationId: RetailBrokerageApi_GetIntradayMarginSetting
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.fcm.GetIntradayMarginSettingResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.fcm.GetIntradayMarginSettingResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:user:read
components:
  schemas:
    coinbase.retail.rest.proxy.fcm.GetIntradayMarginSettingResponse:
      type: object
      properties:
        setting:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.retail.rest.proxy.fcm.IntradayMarginSetting
      title: GetIntradayMarginSettingResponse
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.retail.rest.proxy.fcm.IntradayMarginSetting:
      type: string
      enum:
        - INTRADAY_MARGIN_SETTING_UNSPECIFIED
        - INTRADAY_MARGIN_SETTING_STANDARD
        - INTRADAY_MARGIN_SETTING_INTRADAY
      default: INTRADAY_MARGIN_SETTING_UNSPECIFIED
      title: ''
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````